Skip to main content
GET
/
v1
/
businesses
/
{businessId}
/
invoices
/
{invoiceId}
/
pdf
Generate invoice PDF
curl --request GET \
  --url https://sandbox.layerfi.com/v1/businesses/{businessId}/invoices/{invoiceId}/pdf \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "type": "S3_Presigned_Url",
    "presignedUrl": "https://example-bucket.s3.amazonaws.com/example-object?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=FAKEAWSACCESSKEY%2F20240710%2Fus-west-1%2Fs3%2Faws4_request&X-Amz-Date=20240710T000000Z&X-Amz-Expires=3600&X-Amz-SignedHeaders=host&X-Amz-Signature=FAKESIGNATURE1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef\n",
    "fileType": "pdf"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json.

Path Parameters

businessId
string<uuid>
required

The UUID of the business that owns the invoice.

invoiceId
string<uuid>
required

The UUID of the invoice to generate a PDF for.

Response

PDF generated successfully. Returns a presigned URL to download the PDF document.

data
object
required

A pre-signed URL to download a document.